Subject: Re: [L2tpext] Queries with respect to the LAC-LAC and LNS-LNS Reference Models

From: "W. Mark Townsley" <[email-masked]>
Date: Tue, 23 Apr 2002 14:11:14 +0200

"Nagendra B.S" wrote:
> 
> Hi,
> 
> I have few queries with respect to the LAC-LAC and LNS-LNS Reference
> Models.
> 
> >From the "draft-ietf-l2tpext-l2tp-base-02.txt",
> 
>                      Figure 2.0: L2TP Reference Models
> 
> 
> 
> INTERNET DRAFT                   L2TPv3                       March 2002
> 
>    (b) LAC-LAC Reference Model: In this model, both LCCEs are LACs.
>    Each LAC forwards circuit traffic from the remote system to the peer
>    LAC using L2TP, and vice versa.  A LAC does not perform any native
>    handling of the tunneled L2 frame, and thus, does not utilize a
>    virtual L2 interface.  Rather, a LAC acts as a simple cross-connect
>    between a circuit and an L2TP session.  This model typically involves
>    symmetric establishment; that is, either side of the connection may
>    initiate a session at any time (or perhaps simultaneously).
> 
>    +-----+  L2  +-----+                      +-----+  L2  +-----+
>    |     |------| LAC |...[packet network]...| LAC |------|     |
>    +-----+      +-----+                      +-----+      +-----+
>    remote                                                 remote
>    system                                                 system
>                       |<- emulated service ->|
>          |<----------------- L2 service ----------------->|
> 
>    (c) LNS-LNS Reference Model: This model has two LNSs as the LCCEs.
>    Each LNS logically terminates the L2TP session locally, requiring
>    virtual L2 interfaces for each L2TP session on each side of the L2TP
>    session.  A user-level or traffic-generated event typically drives
>    session establishment from one side of the control connection.  Also
>    known as "voluntary tunneling" [RFC2809].
> 
>                     +-----+                      +-----+
>    [home network]...| LNS |...[packet network]...| LNS |...[home
> network]
>                     +-----+                      +-----+
>                           |<- emulated service ->|
>                           |<---- L2 service ---->|
> 
>    Note: If an LNS initiates session establishment due to an event
>    (generally user-driven), the LNS is sometimes referred to as a "LAC
>    Client" as defined in [RFC2661].
> 
> 1)Where can this kind of systems be deployed and what are the
> advantages/disadvantages of the above two models against the regular
> LAC-LNS model ?

It depends on the service you are offering. For tunneled site to site
connections, this is attractive as niether site has to change its equipment.

> 
> 2)How exactly is the tunneling of packets taking place in the above
> models?

Each LAC acts as it always has. e.g. L2 packets arrive, are tunneled across
L2TP, and then switched to a L2 interface at the receiving LAC.

> 
> Can somebody please clarify ?
> 
> Thanks,
> Nagendra
> 
> --
> ------------------------------------------------------------------------
> Nagendra B.S                    [email-masked]
> Infosys - India                 Phone Office : 91-80-8520261  xtn : 6566
> ------------------------------------------------------------------------
> 
> _______________________________________________
> L2tpext mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/l2tpext

_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext